Bug 179842 - loader segfault after SCSI driver probe (aic7xxx)
loader segfault after SCSI driver probe (aic7xxx)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-03 06:23 EST by Joe Orton
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-14 17:28:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2006-02-03 06:23:26 EST
Description of problem:
With Raw Hide build for yesterday, the loader is crashing after probing SCSI
devices on a Dell PE 2450 box.

Version-Release number of selected component (if applicable):
anaconda-10.91.11-1

After the "loader received SIGSEGV!" message the backtrace lacked symbols, the
fist few were:

0x8048ade
0x821420
0x806d6cb
0x806a373

The last message on the F3 terminal was:

... inserted /tmp/scsi_transport_spi.ko

the kernel dmesg on F4 was from the aic7xxx driver initializing.
Comment 1 Jeremy Katz 2006-02-03 11:18:46 EST
Can you try booting with 'linux nostorage' and loading the applicable storage
drivers for the box by hand and see which one it fails on?  My box with scsi
drives here isn't failing.

Also, if you've already got an install on the box, can you try running (with
rawhide kudzu), kudzu -p -c HD
Comment 2 Joe Orton 2006-02-03 11:30:05 EST
I booted with nostorage, manually loaded (only) the aic7xxx driver, and it
proceeded to run anaconda fine.  I'll complete the install and attach kudzu output.
Comment 3 Joe Orton 2006-02-03 11:36:00 EST
Though in that state it said it couldn't find any storage.

I rebooted and tried:

- add aic7xxx device (OK)
- add aic7xxx_old device

and this triggered the loader segfault again.  Is that enough?
Comment 4 Chris Lumens 2007-03-14 17:24:36 EDT
Can you please try with Fedora 7 test 2 and let us know if this is still broken
for you?
Comment 5 Joe Orton 2007-03-14 17:28:30 EDT
I'd guess this got fixed by FC6 otherwise lots of PE2450 users would be complaining.

Note You need to log in before you can comment on or make changes to this bug.